Use this API to render Markdown content as HTML.

All requests to this API must be authenticated.

The availability of this feature is controlled by a feature flag. This feature is available for testing, but not ready for production use.

Render Markdown content

POST /api/v4/markdown

Renders Markdown content as HTML.

Request body (application/json)

PropertyTypeDescription
gfmBooleanRender text using GitLab Flavored Markdown
Default: false
projectStringProject used as context when creating references with GitLab Flavored Markdown
text
Required
StringMarkdown text to render

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesMarkdown
400Bad request—
401Unauthorized—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesMarkdown

PropertyTypeDescription
htmlStringExample: <p dir=\"auto\">Hello world!</p>"